Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.nist
Class KMACwithSHAKE128_params

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.nist.KMACwithSHAKE128_params

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class KMACwithSHAKE128_params
extends ASN1Object

KMACwithSHAKE128-params ::= SEQUENCE { kMACOutputLength INTEGER DEFAULT 256, -- Output length in bits customizationString OCTET STRING DEFAULT ''H }

Constructor Summary
`KMACwithSHAKE128_params(int outputLength)`
`KMACwithSHAKE128_params(int outputLength, byte[] customizationString)`

Method Summary
`byte[]` | `getCustomizationString()`
`static KMACwithSHAKE128_params` | `getInstance(java.lang.Object o)`
`int` | `getOutputLength()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KMACwithSHAKE128_params

    public KMACwithSHAKE128_params(int outputLength)

### KMACwithSHAKE128_params

    public KMACwithSHAKE128_params(int outputLength,
                                   byte[] customizationString)

Method Detail

### getInstance

    public static KMACwithSHAKE128_params getInstance(java.lang.Object o)

### getOutputLength

    public int getOutputLength()

### getCustomizationString

    public byte[] getCustomizationString()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD